%define 	module nwdiag
Summary:	nwdiag generate network-diagram image file from spec-text file
Name:		python-%{module}
Version:	0.7.0
Release:	3
License:	Apache v2.0
Group:		Development/Languages
Source0:	http://pypi.python.org/packages/source/n/%{module}/%{module}-%{version}.tar.gz
# Source0-md5:	be27a6238a5275cc2bbe376fd1c2b6e9
URL:		http://blockdiag.com/en/nwdiag/
BuildRequires:	rpmbuild(macros) >= 1.710
BuildRequires:	sed >= 4.0
Requires:	python-blockdiag >= 1.1.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
nwdiag generate network-diagram image file from spec-text file.

Features:
- Generate network-diagram from dot like text (basic feature).
- Multilingualization for node-label (utf-8 only).

%prep
%setup -q -n %{module}-%{version}
%{__sed} -i -e 's/^from ez_setup/#from ez_setup/' setup.py
%{__sed} -i -e 's/^use_setuptools()/#use_setuptools()/' setup.py

%build
%py_build

%install
rm -rf $RPM_BUILD_ROOT
%py_install \
	--root $RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{py_sitescriptdir}/%{module}/tests
%{__rm} $RPM_BUILD_ROOT%{py_sitescriptdir}/%{module}_sphinxhelper.py[co]
%{__rm} $RPM_BUILD_ROOT%{py_sitescriptdir}/rackdiag_sphinxhelper.py[co]

install -d $RPM_BUILD_ROOT%{_mandir}/man1
cp -p %{module}.1 $RPM_BUILD_ROOT%{_mandir}/man1

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/%{module}
%attr(755,root,root) %{_bindir}/rackdiag
%{_mandir}/man1/%{module}.1*
%{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/rackdiag
%if "%{py_ver}" > "2.4"
%{py_sitescriptdir}/%{module}-%{version}-*.egg-info
%endif
%changelog
* Tue Mar 02 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-nwdiag.git;a=log;h=master

* Tue Mar 02 2021 Jan Rękorajski <baggins@pld-linux.org> 2e0197e
- release 3 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> ae96bc2
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> d060411
- release 2 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 5bbdd21
- automatic change: use py_build/py_install macros

* Mon Nov 24 2014 Elan Ruusamäe <glen@delfi.ee> 2e140f3
- cp-friendly url

* Fri Dec 02 2011 zbyniu <zbyniu@pld-linux.org> 480c8c2
- up to 0.7.0

* Tue Oct 18 2011 Elan Ruusamäe <glen@pld-linux.org> 93f40a2
- no enforce-gz for man, no defattr for man, no rm -r for file

* Tue Oct 18 2011 cieciwa <cieciwa@pld-linux.org> 70fafb0
- removed not needed file,
- added manual file.

* Tue Oct 18 2011 Elan Ruusamäe <glen@pld-linux.org> c2fdef4
- do not package tests

* Tue Oct 18 2011 cieciwa <cieciwa@pld-linux.org> f1a1a76
- added Sphinx file,
- release 1.

* Tue Oct 18 2011 Elan Ruusamäe <glen@pld-linux.org> a058806
- py-postclean, BR python-funcparserlib not needed, some unpackaged files

* Tue Oct 18 2011 cieciwa <cieciwa@pld-linux.org> c2530f1
- fixed Requires.

* Mon Oct 17 2011 Elan Ruusamäe <glen@pld-linux.org> 26829a1
- adapter, pldize

* Mon Oct 17 2011 cieciwa <cieciwa@pld-linux.org> 3a2c024
- version 0.5.0,
- release 0.1.

